%define cvs		20071227

Summary:	KDE LineControl Client
Name:		klcc
Version:	2.0.4
Release:	%mkrel 0.%cvs.2
License:	GPLv2+
URL:		http://linecontrol.sourceforge.net/
Group:		Networking/Remote access
Source:		%{name}-%{cvs}.tar.lzma
Patch0:		klcc-20071227-autotools-detect.patch
Patch1:		klcc-20071227-fix-invalid-desktop-file-comment.patch
BuildRequires:	kdebase-devel
BuildRequires:	fam-devel
BuildRequires:	zlib-devel

%description
LineControl runs a server application on a masquerading-server
(Linux). Clients on other hosts may now talk to this server and say
that it should establish a certain line (usually using pppd/chat,
isdnctrl or some other script). LineControl Server then calls a
certain shellscript and waits until a specified network - device is up
(for analog lines), until /dev/isdninfo changes its status (if using
the ISDN capabilities) or until a certain file exists. Then it sends
to all connected Clients a message that the connection is established.

This is the KDE client.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}
%patch0 -p1 -b .autotools
%patch1 -p0

%build
make -f Makefile.dist
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" %configure2_5x \
	--disable-rpath
%make

%install
%makeinstall

rm -rf %{buildroot}%{_datadir}/applnk

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/icons/*/*/*/*.png
%lang(en) %{_defaultdocdir}/HTML/en/klcc/
%lang(de) %{_defaultdocdir}/HTML/de/klcc/
%doc AUTHORS ChangeLog INSTALL README TODO



%changelog
* Mon Dec 31 2007 Funda Wang <fundawang@mandriva.org> 2.0.4-0.20071227.2mdv2008.1
+ Revision: 139859
- fix invalid desktop file comment

* Thu Dec 27 2007 Adam Williamson <awilliamson@mandriva.com> 2.0.4-0.20071227.1mdv2008.1
+ Revision: 138512
- rebuild for new era
- drop liblcpio packages as this library doesn't exist in the source any more
- add a useful description
- add autotools-detect.patch to fix detection of autoconf / automake
- drop qt3-fixes.patch and mainview.patch (merged or superseded upstream)
- clean spec
- go to CVS snapshot (last one, since code is abandoned) to fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel


* Sun Mar 30 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.3-2mdk
- Buildrequires (thanks slbd)

* Tue Mar 11 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.3-1mdk
- Mandrake rpm based on spec in source
- Fix compilation under KDE3.1/Qt3.1 (p0,p1)
- Add lib packages

